Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.shape.random
Class RandomPointsInGridBuilder

    java.lang.Object
      com.vividsolutions.jts.shape.GeometricShapeBuilder
          com.vividsolutions.jts.shape.random.RandomPointsInGridBuilder

    public class RandomPointsInGridBuilder

extends GeometricShapeBuilder

Creates random point sets where the points are constrained to lie in the cells of a grid.

Author:
  mbdavis

Field Summary

Fields inherited from class com.vividsolutions.jts.shape.GeometricShapeBuilder
`extent, geomFactory, numPts`

Constructor Summary
`RandomPointsInGridBuilder()` Create a builder which will create shapes using the default `GeometryFactory`.
`RandomPointsInGridBuilder(GeometryFactory geomFact)` Create a builder which will create shapes using the given `GeometryFactory`.

Method Summary
`Geometry` | `getGeometry()`
`void` | `setConstrainedToCircle(boolean isConstrainedToCircle)`
`void` | `setGutterFraction(double gutterFraction)`

Methods inherited from class com.vividsolutions.jts.shape.GeometricShapeBuilder
`createCoord, getCentre, getDiameter, getExtent, getRadius, getSquareBaseLine, getSquareExtent, setExtent, setNumPoints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomPointsInGridBuilder

    public RandomPointsInGridBuilder()

  Create a builder which will create shapes using the default `GeometryFactory`.

### RandomPointsInGridBuilder

    public RandomPointsInGridBuilder(GeometryFactory geomFact)

  Create a builder which will create shapes using the given `GeometryFactory`.

  Parameters:
    `geomFact` - the factory to use

Method Detail

### setConstrainedToCircle

    public void setConstrainedToCircle(boolean isConstrainedToCircle)

### setGutterFraction

    public void setGutterFraction(double gutterFraction)

### getGeometry

    public Geometry getGeometry()

  Specified by:
    `getGeometry` in class `GeometricShapeBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD